prompt --application/set_environment
set define off verify off feedback off
whenever sqlerror exit sql.sqlcode rollback
--------------------------------------------------------------------------------
--
-- ORACLE Application Express (APEX) export file
--
-- You should run the script connected to SQL*Plus as the Oracle user
-- APEX_180100 or as the owner (parsing schema) of the application.
--
-- NOTE: Calls to apex_application_install override the defaults below.
--
--------------------------------------------------------------------------------
begin
wwv_flow_api.import_begin (
 p_version_yyyy_mm_dd=>'2016.08.24'
,p_release=>'5.1.4.00.08'
,p_default_workspace_id=>1959532611173926
,p_default_application_id=>100
,p_default_owner=>''
);
end;
/
prompt --application/shared_components/plugins/item_type/ir_number_field_with_currency
begin
wwv_flow_api.create_plugin(
 p_id=>wwv_flow_api.id(42222530188347318)
,p_plugin_type=>'ITEM TYPE'
,p_name=>'IR.NUMBER_FIELD_WITH_CURRENCY'
,p_display_name=>'Number_field_with_currency'
,p_supported_ui_types=>'DESKTOP'
,p_supported_component_types=>'APEX_APPLICATION_PAGE_ITEMS'
,p_plsql_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'FUNCTION render_numberchange (',
'    p_item                in apex_plugin.t_page_item, -- Holds item name, label and custom attributes',
'    p_plugin              in apex_plugin.t_plugin,    -- The plugin name',
'    p_value               in varchar2,                -- Is the field value of the item',
'    p_is_readonly         in boolean,                 -- Should the item be readonly',
'    p_is_printer_friendly in boolean)                 -- Is the item printer friendly',
'    return apex_plugin.t_page_item_render_result',
'IS',
'		-- We can have as many custom attributes as we''d like this captures if the user select align right or left',
'    l_align_text	   apex_application_page_items.attribute_01%type := p_item.attribute_01;',
'   ',
'    -- The value to place in the name= attribute of the <input> tag for this item. This value is generated by Apex',
'    -- and we retrieve this value below with a call to apex_plugin.get_input_name_for_page_item',
'    l_name        VARCHAR2(30);',
'',
'    -- Apex mandates that the PLSQL render function for a plugin returns apex_plugin.t_page_item_render_result.',
'    l_result      apex_plugin.t_page_item_render_result;',
'    l_Rial        varchar2(10) := NVL(p_item.attribute_02, ''NO'');',
'    p_type        varchar2(10) := ''text'';',
'    l_dot_to_zero varchar2(10) := NVL(p_item.attribute_03, ''NO'');',
'    incdec        varchar2(10) := NVL(p_item.attribute_04, 0);',
'    l_ALIGN       varchar2(10) := NVL(p_item.attribute_01, ''right'');',
'    keyup_attr    varchar2(1000):=''onKeyUp="'';',
'    p_value2      varchar2(100):=replace(p_value,'','','''');',
'    p_min         number := p_item.attribute_05;',
'    p_max         number := p_item.attribute_06;',
'BEGIN',
'',
'    if incdec=''YES'' then',
'        p_type:=''number'';',
'    else',
'        p_type:=''text'';',
'    END IF;',
'',
'    if l_Rial=''YES'' then',
'      begin',
'       p_value2:=to_char(p_value2,''FM999,999,999,999,999,999,999,990MI'');',
'       EXCEPTION',
'			WHEN OTHERS THEN',
'            null;',
'       end;',
'        p_type:=''text'';',
'    END IF;',
'    ',
'',
' 	IF p_is_readonly OR p_is_printer_friendly THEN',
'        ',
'		apex_plugin_util.print_hidden_if_readonly (',
'		    p_item_name           => p_item.name,',
'		    p_value               => p_value2,',
'		    p_is_readonly         => p_is_readonly,',
'		    p_is_printer_friendly => p_is_printer_friendly );',
'		',
'		apex_plugin_util.print_display_only (',
'		    p_item_name        => p_item.name,',
'		    p_display_value    => p_value2,',
'		    p_show_line_breaks => false,',
'		    p_escape           => true,',
'		    p_attributes       => p_item.element_attributes );',
'    	',
'	ELSE',
'	',
'		l_name := apex_plugin.get_input_name_for_page_item(p_is_multi_value=>false);		',
'		-- Align text left or right depending on what option the user selected',
'		-- Output the HTML to render the Text Field.',
'		if l_Rial=''YES'' then',
'            if l_dot_to_zero=''YES'' then',
'                keyup_attr:=keyup_attr||''placeCurrencyMaskWithDot(this,event);'';',
'            else',
'                keyup_attr:=keyup_attr||''placeCurrencyMask(this);'';',
'            end if;',
'        end if;',
'        ',
'        keyup_attr:=keyup_attr||''"'';',
'        ',
'        htp.p(	''<input type="''||p_type||''" autocomplete="off" style="text-align:''||l_ALIGN||''" name="''||l_name||',
'						''" id="''||p_item.name||''" ''||',
'						''value="''||htf.escape_sc(p_value2)||',
'						''" size="''||p_item.element_width||''" ''||',
'						''maxlength="''||p_item.element_max_length||''" ''||',
'                        ''min="''||p_min||''" ''||',
'                        ''max="''||p_max||''" ''||',
'                        ''class="''||p_item.element_css_classes||'' apex-item-text text_field" ''||',
'                        ''style="direction:ltr" ''||',
'						p_item.element_attributes||'' ''||keyup_attr||',
'						''onkeypress="return numbericOnKeypress(event);" onblur=''''chkMinMax(this,"''||p_min||''","''||p_max||''")'''' />'');',
'		apex_javascript.add_library (',
'		p_name      => ''item_number_change'',  -- The name of the JS file',
'		p_directory => p_plugin.file_prefix,	-- The directory of the js file',
'		p_version   => null );',
'	END IF;',
'	RETURN l_result;',
'',
'END render_numberchange ;',
'',
'FUNCTION validate_numberchange (',
'    p_item   IN     APEX_PLUGIN.t_page_item, ',
'    p_plugin IN     APEX_PLUGIN.t_plugin,    ',
'    p_value  IN     VARCHAR2)                ',
'    RETURN APEX_PLUGIN.t_page_item_validation_result',
'IS',
'	l_money_value	apex_application_page_items.attribute_02%type := p_item.attribute_02;',
'	l_result       	apex_plugin.t_page_item_validation_result;  ',
'	l_dummy			NUMBER;',
'    p_min           number := p_item.attribute_05;',
'    p_max           number := p_item.attribute_06;',
'    p_min_error     varchar2(3000) := NVL(p_item.attribute_07,''Minimum value of item #LABEL# is :'');',
'    p_max_error     varchar2(3000) := NVL(p_item.attribute_08,''Maximum value of item #LABEL# is :'');',
'BEGIN	',
'	--Lets validate the number using the dummy approach',
'  BEGIN',
'		--The field is a monetary field so validate 10,2	',
'		--This may be used later',
'		',
'        IF l_money_value = ''YES'' THEN',
'			l_dummy	:= TO_NUMBER(replace(p_value,'','',''''));',
'		ELSIF l_money_value = ''NO'' THEN',
'			l_dummy	:= TO_NUMBER(p_value);',
'		END IF;		',
'        ',
'        ',
'        IF nvl(p_min,0) != 0 and p_min>p_value THEN',
'                l_result.message := p_min_error||'' ''||p_min;',
'        end if;',
'		IF nvl(p_max,0) != 0 and p_max<p_value THEN',
'                l_result.message := p_max_error||'' ''||p_max;',
'		END IF;',
'        ',
'		EXCEPTION',
'			WHEN OTHERS THEN',
'			l_result.message := ''For #LABEL# Must input numbers''; ',
'			NULL;',
'	END;	',
'',
'	l_result.display_location := apex_plugin.c_inline_in_notifiction;',
'',
'	RETURN l_result;',
'',
'END validate_numberchange;',
''))
,p_api_version=>1
,p_render_function=>'render_numberchange '
,p_validation_function=>'validate_numberchange'
,p_standard_attributes=>'VISIBLE:SESSION_STATE:READONLY:QUICKPICK:SOURCE:ELEMENT:WIDTH:HEIGHT:ELEMENT_OPTION:PLACEHOLDER:ENCRYPT'
,p_substitute_attributes=>true
,p_subscribe_plugin_settings=>true
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>',
'	Version 1.0<br />',
'	Date 01/24/2019<br />',
'	Author: Morteza Mashhadi<br />',
'	plugin Number Item<br />',
'	&nbsp;</p>',
'<p>',
'	This plugin makes an item look like a number field but also calls javascript to validate the number at run time.</p>'))
,p_version_identifier=>'1.0'
,p_about_url=>'http://mortezamashhadi.blogspot.com'
,p_files_version=>29
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(42222737843347321)
,p_plugin_id=>wwv_flow_api.id(42222530188347318)
,p_attribute_scope=>'APPLICATION'
,p_attribute_sequence=>7
,p_display_sequence=>70
,p_prompt=>'Min Error'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_default_value=>'Minimum value of item #LABEL# is :'
,p_is_translatable=>false
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(42223196953347321)
,p_plugin_id=>wwv_flow_api.id(42222530188347318)
,p_attribute_scope=>'APPLICATION'
,p_attribute_sequence=>8
,p_display_sequence=>80
,p_prompt=>'Max Error'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_default_value=>'Maximum value of item #LABEL# is :'
,p_is_translatable=>false
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(42223544301347322)
,p_plugin_id=>wwv_flow_api.id(42222530188347318)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>1
,p_display_sequence=>10
,p_prompt=>'Align Element Text'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>false
,p_default_value=>'Right'
,p_is_translatable=>false
,p_lov_type=>'STATIC'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(42223903802347322)
,p_plugin_attribute_id=>wwv_flow_api.id(42223544301347322)
,p_display_sequence=>10
,p_display_value=>'Right'
,p_return_value=>'Right'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(42224454950347322)
,p_plugin_attribute_id=>wwv_flow_api.id(42223544301347322)
,p_display_sequence=>20
,p_display_value=>'Left'
,p_return_value=>'Left'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(42224921212347322)
,p_plugin_attribute_id=>wwv_flow_api.id(42223544301347322)
,p_display_sequence=>30
,p_display_value=>'Center'
,p_return_value=>'Center'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(42225434443347322)
,p_plugin_id=>wwv_flow_api.id(42222530188347318)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>2
,p_display_sequence=>20
,p_prompt=>'Currency'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>true
,p_default_value=>'NO'
,p_is_translatable=>false
,p_lov_type=>'STATIC'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(42225880082347323)
,p_plugin_attribute_id=>wwv_flow_api.id(42225434443347322)
,p_display_sequence=>10
,p_display_value=>'Yes'
,p_return_value=>'YES'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(42226338780347323)
,p_plugin_attribute_id=>wwv_flow_api.id(42225434443347322)
,p_display_sequence=>20
,p_display_value=>'No'
,p_return_value=>'NO'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(42226882670347323)
,p_plugin_id=>wwv_flow_api.id(42222530188347318)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>3
,p_display_sequence=>30
,p_prompt=>'Dot to zero'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>true
,p_default_value=>'NO'
,p_is_translatable=>false
,p_lov_type=>'STATIC'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'dot to zero replace dot with three zero',
'<br>',
'note: it works just when ''Currency'' option is set to ''No'''))
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(42227241361347324)
,p_plugin_attribute_id=>wwv_flow_api.id(42226882670347323)
,p_display_sequence=>10
,p_display_value=>'No'
,p_return_value=>'NO'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(42227718751347325)
,p_plugin_attribute_id=>wwv_flow_api.id(42226882670347323)
,p_display_sequence=>20
,p_display_value=>'Yes'
,p_return_value=>'YES'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(42228262622347326)
,p_plugin_id=>wwv_flow_api.id(42222530188347318)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>4
,p_display_sequence=>40
,p_prompt=>'inc/dec'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>true
,p_default_value=>'NO'
,p_is_translatable=>false
,p_lov_type=>'STATIC'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(42228658925347326)
,p_plugin_attribute_id=>wwv_flow_api.id(42228262622347326)
,p_display_sequence=>10
,p_display_value=>'Yes'
,p_return_value=>'YES'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(42229199730347328)
,p_plugin_attribute_id=>wwv_flow_api.id(42228262622347326)
,p_display_sequence=>20
,p_display_value=>'No'
,p_return_value=>'NO'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(42229658392347328)
,p_plugin_id=>wwv_flow_api.id(42222530188347318)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>5
,p_display_sequence=>50
,p_prompt=>'Min'
,p_attribute_type=>'NUMBER'
,p_is_required=>false
,p_is_translatable=>false
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(42230055965347328)
,p_plugin_id=>wwv_flow_api.id(42222530188347318)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>6
,p_display_sequence=>60
,p_prompt=>'Max'
,p_attribute_type=>'NUMBER'
,p_is_required=>false
,p_is_translatable=>false
);
end;
/
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := 'EFBBBF66756E6374696F6E2069676E6F72654B6579732865297B72657475726E20303D3D653F21303A31333D3D653F21303A653D3D383F21303A393D3D653F21303A21317D0D0A0D0A66756E6374696F6E206765744576656E744B6579436F6465286529';
wwv_flow_api.g_varchar2_table(2) := '7B76617220743B72657475726E20743D77696E646F772E6576656E743F6576656E742E6B6579436F64653A652E77686963687D0D0A0D0A66756E6374696F6E2069734E756D657269634B657973507265737365642865297B72657475726E20653E3D3438';
wwv_flow_api.g_varchar2_table(3) := '262635373E3D653F21303A21317D0D0A0D0A66756E6374696F6E206E756D62657269634F6E4B657970726573732865297B76617220743D6765744576656E744B6579436F64652865293B72657475726E2034353D3D747C7C34343D3D747C7C34363D3D74';
wwv_flow_api.g_varchar2_table(4) := '3F21303A69676E6F72654B6579732874293F21303A69734E756D657269634B657973507265737365642874293F21303A766F69642877696E646F772E6576656E743F77696E646F772E6576656E742E72657475726E56616C75653D21313A652E70726576';
wwv_flow_api.g_varchar2_table(5) := '656E7444656661756C742829297D0D0A0D0A66756E6374696F6E20706C61636543757272656E63794D61736B28656C656D656E744E756D626572297B0D0A092F2F72656D6F7665207A65726F2061742066697273740D0A09696628656C656D656E744E75';
wwv_flow_api.g_varchar2_table(6) := '6D6265722E76616C75652E6C656E6774683D3D31292072657475726E3B0D0A09666F722876617220743D656C656D656E744E756D6265722E76616C75652E7265706C616365282F5C732B2F672C2727292C6E3D303B6E3C742E6C656E6774683B6E2B2B29';
wwv_flow_api.g_varchar2_table(7) := '666F72283B2D31213D742E696E6465784F6628222C22293B29743D742E737562737472696E6728302C742E696E6465784F6628222C2229292B742E737562737472696E6728742E696E6465784F6628222C22292B31293B76617220723D22222C693D2222';
wwv_flow_api.g_varchar2_table(8) := '3B6966282D31213D742E696E6465784F6628222D2229297B693D222D223B666F7228766172206E3D303B6E3C742E6C656E6774683B6E2B2B292D31213D742E696E6465784F6628222D2229262628743D742E737562737472696E6728302C742E696E6465';
wwv_flow_api.g_varchar2_table(9) := '784F6628222D2229292B742E737562737472696E6728742E696E6465784F6628222D22292B3129297D303D3D742E696E6465784F662822302229262628743D742E737562737472696E67283129293B76617220732C6F3B6966282D31213D28733D742E69';
wwv_flow_api.g_varchar2_table(10) := '6E6465784F6628222F222929297B666F7228723D742E737562737472696E672873293B2D31213D722E696E6465784F6628222F22293B29723D722E737562737472696E6728302C722E696E6465784F6628222F2229292B722E737562737472696E672872';
wwv_flow_api.g_varchar2_table(11) := '2E696E6465784F6628222F22292B31293B666F72283B2D31213D722E696E6465784F6628222E22293B29723D722E737562737472696E6728302C722E696E6465784F6628222E2229292B722E737562737472696E6728722E696E6465784F6628222E2229';
wwv_flow_api.g_varchar2_table(12) := '2B31293B723D222F222B722C743D742E737562737472696E6728302C73297D656C7365206966282D31213D286F3D742E696E6465784F6628222E222929297B666F7228723D742E737562737472696E67286F293B2D31213D722E696E6465784F6628222E';
wwv_flow_api.g_varchar2_table(13) := '22293B29723D722E737562737472696E6728302C722E696E6465784F6628222E2229292B722E737562737472696E6728722E696E6465784F6628222E22292B31293B666F72283B2D31213D722E696E6465784F6628222F22293B29723D722E7375627374';
wwv_flow_api.g_varchar2_table(14) := '72696E6728302C722E696E6465784F6628222F2229292B722E737562737472696E6728722E696E6465784F6628222F22292B31293B723D222E222B722C743D742E737562737472696E6728302C6F297D696628303D3D28742B72292E696E6465784F6628';
wwv_flow_api.g_varchar2_table(15) := '222E22293F743D2230222B743A303D3D28742B72292E696E6465784F6628222F2229262628742B3D223022292C742E6C656E6774683C3D3329656C656D656E744E756D6265722E76616C75653D692B742B723B656C73657B666F722876617220753D742E';
wwv_flow_api.g_varchar2_table(16) := '737562737472696E6728302C742E6C656E6774682533292C613D742E737562737472696E6728742E6C656E6774682533292C643D22222C6E3D303B6E3C612E6C656E6774683B6E2B3D3329643D642B222C222B612E737562737472696E67286E2C6E2B33';
wwv_flow_api.g_varchar2_table(17) := '293B742E6C656E67746825333D3D30262628643D642E737562737472696E67283129292C656C656D656E744E756D6265722E76616C75653D692B752B642B727D0D0A7D0D0A0D0A66756E6374696F6E20706C61636543757272656E63794D61736B576974';
wwv_flow_api.g_varchar2_table(18) := '68446F7428656C656D656E744E756D6265722C657674297B0D0A092F2F646F7420746F207A65726F0D0A097661722065203D20657674207C7C206576656E743B0D0A2020202076617220636F6465203D20652E6B6579436F6465207C7C20652E77686963';
wwv_flow_api.g_varchar2_table(19) := '683B0D0A096576656E744B6579436F64653D6765744576656E744B6579436F64652865293B0D0A096966286576656E744B6579436F64653D3D3131302920656C656D656E744E756D6265722E76616C75653D656C656D656E744E756D6265722E76616C75';
wwv_flow_api.g_varchar2_table(20) := '652E7265706C616365282720272C2727292E7265706C61636528272E272C2727292B27303030273B0D0A092F2F646F6E742072656D6F7665207A65726F2061742066697273740D0A09696628656C656D656E744E756D6265722E76616C75652E6C656E67';
wwv_flow_api.g_varchar2_table(21) := '74683D3D31292072657475726E3B0D0A09666F722876617220743D656C656D656E744E756D6265722E76616C75652E7265706C616365282F5C732B2F672C2727292C6E3D303B6E3C742E6C656E6774683B6E2B2B29666F72283B2D31213D742E696E6465';
wwv_flow_api.g_varchar2_table(22) := '784F6628222C22293B29743D742E737562737472696E6728302C742E696E6465784F6628222C2229292B742E737562737472696E6728742E696E6465784F6628222C22292B31293B76617220723D22222C693D22223B6966282D31213D742E696E646578';
wwv_flow_api.g_varchar2_table(23) := '4F6628222D2229297B693D222D223B666F7228766172206E3D303B6E3C742E6C656E6774683B6E2B2B292D31213D742E696E6465784F6628222D2229262628743D742E737562737472696E6728302C742E696E6465784F6628222D2229292B742E737562';
wwv_flow_api.g_varchar2_table(24) := '737472696E6728742E696E6465784F6628222D22292B3129297D303D3D742E696E6465784F662822302229262628743D742E737562737472696E67283129293B76617220732C6F3B6966282D31213D28733D742E696E6465784F6628222F222929297B66';
wwv_flow_api.g_varchar2_table(25) := '6F7228723D742E737562737472696E672873293B2D31213D722E696E6465784F6628222F22293B29723D722E737562737472696E6728302C722E696E6465784F6628222F2229292B722E737562737472696E6728722E696E6465784F6628222F22292B31';
wwv_flow_api.g_varchar2_table(26) := '293B666F72283B2D31213D722E696E6465784F6628222E22293B29723D722E737562737472696E6728302C722E696E6465784F6628222E2229292B722E737562737472696E6728722E696E6465784F6628222E22292B31293B723D222F222B722C743D74';
wwv_flow_api.g_varchar2_table(27) := '2E737562737472696E6728302C73297D656C7365206966282D31213D286F3D742E696E6465784F6628222E222929297B666F7228723D742E737562737472696E67286F293B2D31213D722E696E6465784F6628222E22293B29723D722E73756273747269';
wwv_flow_api.g_varchar2_table(28) := '6E6728302C722E696E6465784F6628222E2229292B722E737562737472696E6728722E696E6465784F6628222E22292B31293B666F72283B2D31213D722E696E6465784F6628222F22293B29723D722E737562737472696E6728302C722E696E6465784F';
wwv_flow_api.g_varchar2_table(29) := '6628222F2229292B722E737562737472696E6728722E696E6465784F6628222F22292B31293B723D222E222B722C743D742E737562737472696E6728302C6F297D696628303D3D28742B72292E696E6465784F6628222E22293F743D2230222B743A303D';
wwv_flow_api.g_varchar2_table(30) := '3D28742B72292E696E6465784F6628222F2229262628742B3D223022292C742E6C656E6774683C3D3329656C656D656E744E756D6265722E76616C75653D692B742B723B656C73657B666F722876617220753D742E737562737472696E6728302C742E6C';
wwv_flow_api.g_varchar2_table(31) := '656E6774682533292C613D742E737562737472696E6728742E6C656E6774682533292C643D22222C6E3D303B6E3C612E6C656E6774683B6E2B3D3329643D642B222C222B612E737562737472696E67286E2C6E2B33293B742E6C656E67746825333D3D30';
wwv_flow_api.g_varchar2_table(32) := '262628643D642E737562737472696E67283129292C656C656D656E744E756D6265722E76616C75653D692B752B642B727D0D0A7D0D0A0D0A66756E6374696F6E2063686B4D696E4D617828656C656D656E744E756D6265722C705F6D696E2C705F6D6178';
wwv_flow_api.g_varchar2_table(33) := '297B0D0A09696628656C656D656E744E756D6265722E76616C7565213D2727297B0D0A0909696628705F6D696E213D272720262620656C656D656E744E756D6265722E76616C75653C7061727365496E7428705F6D696E29297B0D0A090909617065782E';
wwv_flow_api.g_varchar2_table(34) := '6D6573736167652E616C657274282756616C7565206D7573742067726561746572207468616E3A20272B705F6D696E293B0D0A09097D0D0A09090D0A0909696628705F6D6178213D272720262620656C656D656E744E756D6265722E76616C75653E7061';
wwv_flow_api.g_varchar2_table(35) := '727365496E7428705F6D617829297B0D0A090909617065782E6D6573736167652E616C657274282756616C7565206D757374206C6F776572207468616E3A20272B705F6D6178293B0D0A09097D0D0A097D0D0A090D0A7D';
null;
end;
/
begin
wwv_flow_api.create_plugin_file(
 p_id=>wwv_flow_api.id(42230906548347332)
,p_plugin_id=>wwv_flow_api.id(42222530188347318)
,p_file_name=>'item_number_change.js'
,p_mime_type=>'text/javascript'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
begin
wwv_flow_api.import_end(p_auto_install_sup_obj => nvl(wwv_flow_application_install.get_auto_install_sup_obj, false), p_is_component_import => true);
commit;
end;
/
set verify on feedback on define on
prompt  ...done
